summaryrefslogtreecommitdiff
path: root/tests/cert-tests/openpgp-cert-parser
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/openpgp-cert-parser')
-rwxr-xr-xtests/cert-tests/openpgp-cert-parser6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/cert-tests/openpgp-cert-parser b/tests/cert-tests/openpgp-cert-parser
index eb3cb1ac98..c38789441c 100755
--- a/tests/cert-tests/openpgp-cert-parser
+++ b/tests/cert-tests/openpgp-cert-parser
@@ -64,4 +64,10 @@ if test $rc != 1;then
fail "Parsing should have errored"
fi
+${VALGRIND} "${CERTTOOL}" --inraw --pgp-certificate-info --infile "${srcdir}/data/openpgp-invalid2.pub" 2>&1
+rc=$?
+if test $rc != 1;then
+ fail "Parsing should have errored"
+fi
+
exit ${RETCODE:-0}